Author Topic: error proxy upgrade 6.2 to 7  (Read 105 times)

havacuban

  • Zen Monk
  • **
  • Posts: 50
  • Karma: +5/-0
    • View Profile
error proxy upgrade 6.2 to 7
« on: March 26, 2021, 11:06:25 pm »
 
Hello
I have the following error in the log output
zentyal 7.0.3
HTTP Proxy 7.0.2
 Additional Controller of an existing domain

* Restarting Zentyal module: squid                                                                                [fail]
root command samba-tool group addmembers 'Domain Admins' zentyal-squid-zentyalplcb failed.
Error output: ldb_wrap open of secrets.ldb
 string_to_sid: SID zentyal-squid-zentyalplcb is not in a valid format
 ERROR(ldb): Failed to add members "zentyal-squid-zentyalplcb" to group "Domain Admins" - Attribute member already exists for target GUID e77c12ea-511e-4e12-977b-811024e77d75
   File "/usr/lib/python3/dist-packages/samba/netcmd/group.py", line 245, in run
     samdb.add_remove_group_members(groupname, groupmembers,
   File "/usr/lib/python3/dist-packages/samba/samdb.py", line 320, in add_remove_group_members
     self.modify_ldif(addtargettogroup)
   File "/usr/lib/python3/dist-packages/samba/__init__.py", line 241, in modify_ldif
     self.modify(msg, controls)

Command output: .
Exit value: 255
regards

Daniel Joven

  • Zentyal Staff
  • Zen Apprentice
  • *****
  • Posts: 21
  • Karma: +13/-0
    • View Profile
Re: error proxy upgrade 6.2 to 7
« Reply #1 on: March 29, 2021, 12:42:33 pm »
Hi,

The command which thrown the error (is more a warning that an error) is almost at the end of the script. So, the critical functions of the upgrade were executed. Did you check the stability of the Zentyal server after the upgrade?

Also, could you please run the following commands and send me the output? I would like to see why you got the error.

Code: [Select]
sudo echo ${HOSTNAME}
sudo samba-tool group listmembers DnsAdmins 2> /dev/null | grep -i "dns-${HOSTNAME}"

Best regards, Daniel Joven.

havacuban

  • Zen Monk
  • **
  • Posts: 50
  • Karma: +5/-0
    • View Profile
Re: error proxy upgrade 6.2 to 7
« Reply #2 on: March 29, 2021, 04:14:27 pm »
Hi,

These are the outputs

zentyalplcb

dns-ZENTYALPLCB

Best regards, havacuban

havacuban

  • Zen Monk
  • **
  • Posts: 50
  • Karma: +5/-0
    • View Profile
Re: error proxy upgrade 6.2 to 7
« Reply #3 on: March 29, 2021, 05:10:16 pm »
Hi
Resolved the problem :
 Jxplorer to the LDAP tree and delete the user Zentyal-Squid-ZentyalPLCB.
 restart the squid
module squid status ok